Skip to content

# Class: PodDisruptionBudgetsStore

## Hierarchy

↳ KubeObjectStore‹PodDisruptionBudget›

↳ PodDisruptionBudgetsStore

## Index

### Constructors

- constructor

### Properties

- api
- bufferSize
- contextReady
- eventsBuffer
- failedLoading
- isLoaded
- isLoading
- items
- limit
- selectedItemsIds
- defaultContext

### Accessors

- context
- contextItems
- query
- selectedItems

### Methods

- [Symbol.iterator]
- bindWatchEventsUpdater
- create
- createItem
- defaultSorting
- filterItemsOnLoad
- getAllByNs
- getById
- getByLabel
- getByName
- getByPath
- getIndexById
- getItems
- getStatuses
- getSubscribeApis
- getTotalCount
- isSelected
- isSelectedAll
- load
- loadAll
- loadFromPath
- loadItem
- loadItems
- mergeItems
- reloadAll
- remove
- removeItem
- removeSelectedItems
- reset
- resetOnError
- resetSelection
- select
- sortItems
- subscribe
- toggleSelection
- toggleSelectionAll
- unselect
- update
- updateFromEventsBuffer
- updateItem

## Constructors

### constructor

+ new PodDisruptionBudgetsStore(): PodDisruptionBudgetsStore

Inherited from KubeObjectStore.constructor

Defined in src/renderer/kube-object.store.ts:26

Returns: PodDisruptionBudgetsStore

## Properties

### api

• api: KubeApi‹PodDisruptionBudget‹›› = pdbApi

Overrides KubeObjectStore.api

Defined in src/renderer/components/+config-pod-disruption-budgets/pod-disruption-budgets.store.ts:8

### bufferSize

• bufferSize: number = 50000

Inherited from KubeObjectStore.bufferSize

Defined in src/renderer/kube-object.store.ts:23

### contextReady

• contextReady: Promise‹void› & object = when(() => Boolean(this.context))

Inherited from KubeObjectStore.contextReady

Defined in src/renderer/kube-object.store.ts:26

### `Protected` eventsBuffer

• eventsBuffer: IObservableArray‹IKubeWatchEvent‹KubeJsonApiData›› = observable.array>([], { deep: false })

Inherited from KubeObjectStore.eventsBuffer

Defined in src/renderer/kube-object.store.ts:263

### failedLoading

• failedLoading: boolean = false

Inherited from KubeObjectStore.failedLoading

Defined in src/renderer/item.store.ts:16

### isLoaded

• isLoaded: boolean = false

Inherited from KubeObjectStore.isLoaded

Defined in src/renderer/item.store.ts:18

### isLoading

• isLoading: boolean = false

Inherited from KubeObjectStore.isLoading

Defined in src/renderer/item.store.ts:17

### items

• items: IObservableArray‹T› = observable.array([], { deep: false })

Inherited from KubeObjectStore.items

Defined in src/renderer/item.store.ts:19

### `Optional` limit

• limit? : number

Inherited from KubeObjectStore.limit

Defined in src/renderer/kube-object.store.ts:22

### selectedItemsIds

• selectedItemsIds: ObservableMap‹string, boolean› = observable.map()

Inherited from KubeObjectStore.selectedItemsIds

Defined in src/renderer/item.store.ts:20

### `Static` defaultContext

▪ defaultContext: ClusterContext

Inherited from KubeObjectStore.defaultContext

Defined in src/renderer/kube-object.store.ts:19

## Accessors

### context

• get context(): ClusterContext

Inherited from KubeObjectStore.context

Defined in src/renderer/kube-object.store.ts:33

Returns: ClusterContext

### contextItems

• get contextItems(): PodDisruptionBudget[]

Inherited from KubeObjectStore.contextItems

Defined in src/renderer/kube-object.store.ts:37

Returns: PodDisruptionBudget[]

### query

• get query(): IKubeApiQueryParams

Inherited from KubeObjectStore.query

Defined in src/renderer/kube-object.store.ts:51

Returns: IKubeApiQueryParams

### selectedItems

• get selectedItems(): PodDisruptionBudget[]

Inherited from KubeObjectStore.selectedItems

Defined in src/renderer/item.store.ts:22

Returns: PodDisruptionBudget[]

## Methods

### [Symbol.iterator]

▸ [Symbol.iterator](): Generator‹T, void, undefined›

Inherited from KubeObjectStore.[Symbol.iterator]

Defined in src/renderer/item.store.ts:187

Returns: Generator‹T, void, undefined›

### `Protected` bindWatchEventsUpdater

▸ bindWatchEventsUpdater(`delay`: number): void

Inherited from KubeObjectStore.bindWatchEventsUpdater

Defined in src/renderer/kube-object.store.ts:265

Parameters:

Name | Type | Default
--- | --- | ---
`delay` | number | 1000

Returns: void

### create

▸ create(`params`: object, `data?`: Partial‹PodDisruptionBudget›): Promise‹PodDisruptionBudget›

Inherited from KubeObjectStore.create

Defined in src/renderer/kube-object.store.ts:234

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

▪`Optional` data: Partial‹PodDisruptionBudget›

Returns: Promise‹PodDisruptionBudget›

### `Protected` createItem

▸ createItem(`params`: object, `data?`: Partial‹PodDisruptionBudget›): Promise‹PodDisruptionBudget›

Inherited from KubeObjectStore.createItem

Overrides void

Defined in src/renderer/kube-object.store.ts:230

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

▪`Optional` data: Partial‹PodDisruptionBudget›

Returns: Promise‹PodDisruptionBudget›

### `Protected` defaultSorting

▸ defaultSorting(`item`: PodDisruptionBudget): string

Inherited from KubeObjectStore.defaultSorting

Defined in src/renderer/item.store.ts:14

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget

Returns: string

### `Protected` filterItemsOnLoad

▸ filterItemsOnLoad(`items`: PodDisruptionBudget[]): T[]

Inherited from KubeObjectStore.filterItemsOnLoad

Defined in src/renderer/kube-object.store.ts:132

Parameters:

Name | Type
--- | ---
`items` | PodDisruptionBudget[]

Returns: T[]

### getAllByNs

▸ getAllByNs(`namespace`: string | string[], `strict`: boolean): PodDisruptionBudget[]

Inherited from KubeObjectStore.getAllByNs

Defined in src/renderer/kube-object.store.ts:63

Parameters:

Name | Type | Default
--- | --- | ---
`namespace` | string | string[] | -
`strict` | boolean | false

Returns: PodDisruptionBudget[]

### getById

▸ getById(`id`: string): T

Inherited from KubeObjectStore.getById

Defined in src/renderer/kube-object.store.ts:73

Parameters:

Name | Type
--- | ---
`id` | string

Returns: T

### getByLabel

▸ getByLabel(`labels`: string[] | object): PodDisruptionBudget[]

Inherited from KubeObjectStore.getByLabel

Defined in src/renderer/kube-object.store.ts:89

Parameters:

Name | Type
--- | ---
`labels` | string[] | object

Returns: PodDisruptionBudget[]

### getByName

▸ getByName(`name`: string, `namespace?`: string): PodDisruptionBudget

Inherited from KubeObjectStore.getByName

Overrides void

Defined in src/renderer/kube-object.store.ts:77

Parameters:

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: PodDisruptionBudget

### getByPath

▸ getByPath(`path`: string): PodDisruptionBudget

Inherited from KubeObjectStore.getByPath

Defined in src/renderer/kube-object.store.ts:85

Parameters:

Name | Type
--- | ---
`path` | string

Returns: PodDisruptionBudget

### getIndexById

▸ getIndexById(`id`: string): number

Inherited from KubeObjectStore.getIndexById

Defined in src/renderer/item.store.ts:39

Parameters:

Name | Type
--- | ---
`id` | string

Returns: number

### getItems

▸ getItems(): PodDisruptionBudget[]

Inherited from KubeObjectStore.getItems

Defined in src/renderer/item.store.ts:26

Returns: PodDisruptionBudget[]

### `Optional` getStatuses

▸ getStatuses(`items`: PodDisruptionBudget[]): Record‹string, number›

Inherited from KubeObjectStore.getStatuses

Defined in src/renderer/kube-object.store.ts:61

Parameters:

Name | Type
--- | ---
`items` | PodDisruptionBudget[]

Returns: Record‹string, number›

### getSubscribeApis

▸ getSubscribeApis(): KubeApi[]

Inherited from KubeObjectStore.getSubscribeApis

Defined in src/renderer/kube-object.store.ts:271

Returns: KubeApi[]

### getTotalCount

▸ getTotalCount(): number

Inherited from KubeObjectStore.getTotalCount

Overrides void

Defined in src/renderer/kube-object.store.ts:47

Returns: number

### isSelected

▸ isSelected(`item`: PodDisruptionBudget): boolean

Inherited from KubeObjectStore.isSelected

Defined in src/renderer/item.store.ts:126

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget

Returns: boolean

### isSelectedAll

▸ isSelectedAll(`visibleItems`: PodDisruptionBudget[]): boolean

Inherited from KubeObjectStore.isSelectedAll

Defined in src/renderer/item.store.ts:160

Parameters:

Name | Type | Default
--- | --- | ---
`visibleItems` | PodDisruptionBudget[] | this.items

Returns: boolean

### load

▸ load(`params`: object): Promise‹PodDisruptionBudget›

Inherited from KubeObjectStore.load

Defined in src/renderer/kube-object.store.ts:209

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Promise‹PodDisruptionBudget›

### loadAll

▸ loadAll(`options`: object): Promise‹void | PodDisruptionBudget[]›

Inherited from KubeObjectStore.loadAll

Overrides void

Defined in src/renderer/kube-object.store.ts:137

Parameters:

▪`Default value` options: object= {}

Name | Type
--- | ---
`merge?` | boolean
`namespaces?` | string[]

Returns: Promise‹void | PodDisruptionBudget[]›

### loadFromPath

▸ loadFromPath(`resourcePath`: string): Promise‹T›

Inherited from KubeObjectStore.loadFromPath

Defined in src/renderer/kube-object.store.ts:224

Parameters:

Name | Type
--- | ---
`resourcePath` | string

Returns: Promise‹T›

### `Protected` loadItem

▸ loadItem(`params`: object): Promise‹PodDisruptionBudget›

Inherited from KubeObjectStore.loadItem

Overrides void

Defined in src/renderer/kube-object.store.ts:204

Parameters:

▪ params: object

Name | Type
--- | ---
`name` | string
`namespace?` | string

Returns: Promise‹PodDisruptionBudget›

### `Protected` loadItems

▸ loadItems(`__namedParameters`: object): Promise‹PodDisruptionBudget[]›

Inherited from KubeObjectStore.loadItems

Overrides void

Defined in src/renderer/kube-object.store.ts:106

Parameters:

▪ __namedParameters: object

Name | Type
--- | ---
`api` | KubeApi‹any›
`namespaces` | string[]

Returns: Promise‹PodDisruptionBudget[]›

### `Protected` mergeItems

▸ mergeItems(`partialItems`: PodDisruptionBudget[], `__namedParameters`: object): PodDisruptionBudget[]

Inherited from KubeObjectStore.mergeItems

Defined in src/renderer/kube-object.store.ts:180

Parameters:

▪ partialItems: PodDisruptionBudget[]

▪`Default value` __namedParameters: object= {}

Name | Type | Default
--- | --- | ---
`filter` | boolean | true
`replace` | boolean | false
`sort` | boolean | true
`updateStore` | boolean | true

Returns: PodDisruptionBudget[]

### reloadAll

▸ reloadAll(`opts`: object): Promise‹void | T[]›

Inherited from KubeObjectStore.reloadAll

Defined in src/renderer/kube-object.store.ts:169

Parameters:

▪`Default value` opts: object= {}

Name | Type
--- | ---
`force?` | boolean
`merge?` | boolean
`namespaces?` | string[]

Returns: Promise‹void | T[]›

### remove

▸ remove(`item`: PodDisruptionBudget): Promise‹void›

Inherited from KubeObjectStore.remove

Defined in src/renderer/kube-object.store.ts:252

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget

Returns: Promise‹void›

### `Protected` removeItem

▸ removeItem(`item`: PodDisruptionBudget, `request`: function): Promise‹void›

Inherited from KubeObjectStore.removeItem

Defined in src/renderer/item.store.ts:120

Parameters:

▪ item: PodDisruptionBudget

▪ request: function

▸ (): Promise‹any›

Returns: Promise‹void›

### removeSelectedItems

▸ removeSelectedItems(): Promise‹void[]›

Inherited from KubeObjectStore.removeSelectedItems

Overrides void

Defined in src/renderer/kube-object.store.ts:258

Returns: Promise‹void[]›

### reset

▸ reset(): void

Inherited from KubeObjectStore.reset

Defined in src/renderer/item.store.ts:172

Returns: void

### `Protected` resetOnError

▸ resetOnError(`error`: any): void

Inherited from KubeObjectStore.resetOnError

Defined in src/renderer/kube-object.store.ts:200

Parameters:

Name | Type
--- | ---
`error` | any

Returns: void

### resetSelection

▸ resetSelection(): void

Inherited from KubeObjectStore.resetSelection

Defined in src/renderer/item.store.ts:167

Returns: void

### select

▸ select(`item`: PodDisruptionBudget): void

Inherited from KubeObjectStore.select

Defined in src/renderer/item.store.ts:131

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget

Returns: void

### `Protected` sortItems

▸ sortItems(`items`: PodDisruptionBudget[], `sorting?`: function[], `order?`: "asc" | "desc"): PodDisruptionBudget[]

Inherited from KubeObjectStore.sortItems

Defined in src/renderer/item.store.ts:44

Parameters:

Name | Type | Default
--- | --- | ---
`items` | PodDisruptionBudget[] | this.items
`sorting?` | function[] | -
`order?` | "asc" | "desc" | -

Returns: PodDisruptionBudget[]

### subscribe

▸ subscribe(`apis`: KubeApi‹any›[]): (Anonymous function)

Inherited from KubeObjectStore.subscribe

Overrides void

Defined in src/renderer/kube-object.store.ts:275

Parameters:

Name | Type | Default
--- | --- | ---
`apis` | KubeApi‹any›[] | this.getSubscribeApis()

Returns: (Anonymous function)

### toggleSelection

▸ toggleSelection(`item`: PodDisruptionBudget): void

Inherited from KubeObjectStore.toggleSelection

Defined in src/renderer/item.store.ts:141

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget

Returns: void

### toggleSelectionAll

▸ toggleSelectionAll(`visibleItems`: PodDisruptionBudget[]): void

Inherited from KubeObjectStore.toggleSelectionAll

Defined in src/renderer/item.store.ts:150

Parameters:

Name | Type | Default
--- | --- | ---
`visibleItems` | PodDisruptionBudget[] | this.items

Returns: void

### unselect

▸ unselect(`item`: PodDisruptionBudget): void

Inherited from KubeObjectStore.unselect

Defined in src/renderer/item.store.ts:136

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget

Returns: void

### update

▸ update(`item`: PodDisruptionBudget, `data`: Partial‹PodDisruptionBudget›): Promise‹PodDisruptionBudget›

Inherited from KubeObjectStore.update

Defined in src/renderer/kube-object.store.ts:243

Parameters:

Name | Type
--- | ---
`item` | PodDisruptionBudget
`data` | Partial‹PodDisruptionBudget›

Returns: Promise‹PodDisruptionBudget›

### `Protected` updateFromEventsBuffer

▸ updateFromEventsBuffer(): void

Inherited from KubeObjectStore.updateFromEventsBuffer

Defined in src/renderer/kube-object.store.ts:353

Returns: void

### `Protected` updateItem

▸ updateItem(`item`: PodDisruptionBudget, `request`: function): Promise‹T›

Inherited from KubeObjectStore.updateItem

Defined in src/renderer/item.store.ts:110

Parameters:

▪ item: PodDisruptionBudget

▪ request: function

▸ (): Promise‹PodDisruptionBudget›

Returns: Promise‹T›